# Draw
TKDCAF
DNaming

# DNaming_DataMapIteratorOfDataMapOfShapeOfName Class Reference

`#include <DNaming_DataMapIteratorOfDataMapOfShapeOfName.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | DNaming_DataMapIteratorOfDataMapOfShapeOfName ()
Standard_EXPORT | DNaming_DataMapIteratorOfDataMapOfShapeOfName (const DNaming_DataMapOfShapeOfName &aMap)
Standard_EXPORT void | Initialize (const DNaming_DataMapOfShapeOfName &aMap)
Standard_EXPORT const TopoDS_Shape & | Key () const
Standard_EXPORT const TCollection_AsciiString & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT DNaming_DataMapIteratorOfDataMapOfShapeOfName::DNaming_DataMapIteratorOfDataMapOfShapeOfName | ( |  | ) |

Standard_EXPORT DNaming_DataMapIteratorOfDataMapOfShapeOfName::DNaming_DataMapIteratorOfDataMapOfShapeOfName | ( | const DNaming_DataMapOfShapeOfName & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void DNaming_DataMapIteratorOfDataMapOfShapeOfName::Initialize | ( | const DNaming_DataMapOfShapeOfName & | aMap | ) |

Standard_EXPORT const TopoDS_Shape& DNaming_DataMapIteratorOfDataMapOfShapeOfName::Key | ( |  | ) | const

void DNaming_DataMapIteratorOfDataMapOfShapeOfName::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DNaming_DataMapIteratorOfDataMapOfShapeOfName::operator new | ( | size_t | size | ) | `[inline]`

void* DNaming_DataMapIteratorOfDataMapOfShapeOfName::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TCollection_AsciiString& DNaming_DataMapIteratorOfDataMapOfShapeOfName::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- DNaming_DataMapIteratorOfDataMapOfShapeOfName.hxx